Skip to main content
GET
/
v3
/
catalog_types
/
{id}
ShowType
curl --request GET \
  --url https://api.incident.io/v3/catalog_types/{id}
{
  "catalog_type": {
    "annotations": {
      "incident.io/catalog-importer/id": "id-of-config"
    },
    "categories": [
      "customer"
    ],
    "color": "yellow",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "description": "Represents Kubernetes clusters that we run inside of GKE.",
    "dynamic_resource_parameter": "abc123",
    "estimated_count": 7,
    "icon": "alert",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "is_editable": false,
    "last_synced_at": "2021-08-17T13:28:57.801578Z",
    "name": "Kubernetes Cluster",
    "ranked": true,
    "registry_type": "PagerDutyService",
    "required_integrations": [
      "pager_duty"
    ],
    "schema": {
      "attributes": [
        {
          "array": false,
          "backlink_attribute": "abc123",
          "id": "01GW2G3V0S59R238FAHPDS1R66",
          "mode": "",
          "name": "tier",
          "path": [
            {
              "attribute_id": "abc123",
              "attribute_name": "abc123"
            }
          ],
          "type": "Custom[\"Service\"]"
        }
      ],
      "version": 1
    },
    "source_repo_url": "https://github.com/my-company/incident-io-catalog",
    "type_name": "Custom[\"BackstageGroup\"]",
    "updated_at": "2021-08-17T13:28:57.801578Z",
    "use_name_as_identifier": true
  }
}

Path Parameters

id
string
required

ID of this catalog type

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

200 - application/json

OK response.

catalog_type
object
required
Example:
{
"annotations": {
"incident.io/catalog-importer/id": "id-of-config"
},
"categories": ["customer"],
"color": "yellow",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Represents Kubernetes clusters that we run inside of GKE.",
"dynamic_resource_parameter": "abc123",
"estimated_count": 7,
"icon": "alert",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"is_editable": false,
"last_synced_at": "2021-08-17T13:28:57.801578Z",
"name": "Kubernetes Cluster",
"ranked": true,
"registry_type": "PagerDutyService",
"required_integrations": ["pager_duty"],
"schema": {
"attributes": [
{
"array": false,
"backlink_attribute": "abc123",
"id": "01GW2G3V0S59R238FAHPDS1R66",
"mode": "",
"name": "tier",
"path": [
{
"attribute_id": "abc123",
"attribute_name": "abc123"
}
],
"type": "Custom[\"Service\"]"
}
],
"version": 1
},
"source_repo_url": "https://github.com/my-company/incident-io-catalog",
"type_name": "Custom[\"BackstageGroup\"]",
"updated_at": "2021-08-17T13:28:57.801578Z",
"use_name_as_identifier": true
}